---
title: UI Preset Editor
product: Survey Creator
description: The UI Preset Editor for Survey Creator lets you customize the UI and functionality of the form builder through a no-code interface. Enable it to use predefined presets or create your own.
framework: Vanilla JS
source: https://surveyjs.io/survey-creator/examples/ui-preset-editor/vanillajs
index: https://surveyjs.io/survey-creator/examples/overview.md
---

# UI Preset Editor (Vanilla JS)

The UI Preset Editor is a configuration tool that allows you to customize the Survey Creator interface and package those changes as reusable UI presets. This example demonstrates how to enable the UI Preset Editor, register predefined presets, and create, apply, save, and load custom presets.

## Enable the UI Preset Editor

To enable the UI Preset Editor, import its module or reference its script:

```js
// Modular applications
import { UIPresetEditor } from "survey-creator-core/ui-preset-editor";
```

```html
<!-- Classic script applications -->
<head>
  <script src="https://unpkg.com/survey-creator-core/ui-preset-editor.min.js"></script>
</head>
```

To attach the editor to Survey Creator, instantiate [`UIPresetEditor`](/survey-creator/documentation/api-reference/uipreseteditor) and pass a [`SurveyCreatorModel`](/survey-creator/documentation/api-reference/survey-creator) to its constructor:

```js
// ...
// Omitted: `SurveyCreatorModel` initialization
// ...
new UIPresetEditor(creator);
```

## Register Predefined Presets

SurveyJS includes three predefined UI presets:

- [Basic](/survey-creator/examples/basic-ui-preset/)         
A streamlined preset for simple surveys and forms. Includes only the most commonly used question types and a simplified Property Grid. Perfect if you want a clean, easy-to-use interface with minimal configuration.

- [Advanced](/survey-creator/examples/advanced-ui-preset/)      
A balanced preset for most use cases. Includes additional question types and features, along with a moderately detailed Property Grid. Suitable if you need flexibility without overwhelming complexity.

- [Expert](/survey-creator/examples/expert-ui-preset/)          
A full-featured preset with access to all available question types, settings, and Property Grid options. It provides maximum control at the cost of a more complex UI.

Register these presets to use them as a starting point for customization:

```js
// Modular applications
import SurveyCreatorUIPreset from "survey-creator-core/ui-presets";
import { registerUIPreset } from "survey-creator-core";

registerUIPreset(SurveyCreatorUIPreset);
```

```html
<!-- Classic script applications -->
<script src="https://unpkg.com/survey-creator-core/ui-presets/index.min.js"></script>
<script>
  SurveyCreatorCore.registerUIPreset(SurveyCreatorUIPreset);
</script>
```

Once the predefined presets are registered, you are set to create your custom presets based on them.

## Create a Custom Preset

A UI preset consists of configuration across five categories:

- Languages     
Define the Survey Creator UI language and supported survey languages.

- Tabs    
Control which tabs are visible (Designer, Preview, Logic, Themes, Translations, JSON Editor) as well as their order, titles, icons, and the default active tab.

- Toolbox       
Show, hide, rename, reorder, and group toolbox items.

- Property Grid     
Customize property visibility, order, grouping, and display names.

- Options     
Adjust additional settings that affect overall behavior and appearance.

Configure settings in these categories and save them as a preset. You can export a preset as JSON and include it in your application or allow end users to [create and manage presets dynamically](#save-and-load-custom-presets).

## Apply a Custom Preset

To apply a preset, create a [`UIPreset`](/survey-creator/documentation/api-reference/uipreset) instance with a JSON configuration and call [`applyTo()`](/survey-creator/documentation/api-reference/uipreset#applyTo):

```js
// Modular applications
import { UIPreset } from "survey-creator-core";

// ...
// Omitted: `SurveyCreatorModel` initialization
// ...
const presetJson = { /* Preset configuration */};

const preset = new UIPreset(presetJson);
preset.applyTo(creator);
```

```html
<!-- Classic script applications -->
<script>
  // ...
  // Omitted: `SurveyCreatorModel` initialization
  // ...
  const presetJson = { /* Preset configuration */};

  const preset = new SurveyCreatorCore.UIPreset(presetJson);
  preset.applyTo(creator);
</script>
```

> The UI Preset Editor is not required to apply presets. It is only needed if you want to create or edit them visually.

## Save and Load Custom Presets

Preset configurations are plain JSON objects and can be persisted in storage (for example, a database or browser storage).

To enable saving, implement the [`savePresetFunc`](/survey-creator/documentation/api-reference/uipreseteditor#savePresetFunc) function, which accepts two arguments:

- `saveNo`      
An incremental change identifier. Use it to prevent out-of-order updates in asynchronous environments.

- `callback`        
Invoke this function after saving. Pass `saveNo` as the first argument. Pass `true` as the second argument if the operation succeeds; otherwise, pass `false`.

### Example: Save to `localStorage`

```js
import { UIPresetEditor } from "survey-creator-core/ui-preset-editor";
// ...
// Omitted: `SurveyCreatorModel` initialization
// ...

const presetEditor = new UIPresetEditor(creator);
const localStorageKey = "survey-creator-presets";

// Load existing presets
const savedPresets = JSON.parse(localStorage.getItem(localStorageKey)) || [];
savedPresets.forEach(p => presetEditor.addPreset(p));

// Save handler
presetEditor.savePresetFunc = (saveNo, callback) => {
  const newPreset = presetEditor.preset;
  const presets = JSON.parse(localStorage.getItem(localStorageKey)) || [];

  const index = presets.findIndex(p => p.name === newPreset.name);
  if (index > -1) {
    presets[index] = newPreset;
  } else {
    presets.push(newPreset);
  }
  localStorage.setItem(localStorageKey, JSON.stringify(presets));
  callback(saveNo, true);
};
```

### Example: Save to a Web Service

```js
import { UIPresetEditor } from "survey-creator-core/ui-preset-editor";
// ...
// Omitted: `SurveyCreatorModel` initialization
// ...

const presetEditor = new UIPresetEditor(creator);

// Load existing presets
async function loadPresets(url) {
  try {
    const response = await fetch(url);
    const data = await response.json();
    return data;
  } catch {
    console.log("Could not load presets");
    return [];
  }
}

loadPresets("https://your-web-service.com/")
  .then(presets => {
    presets.forEach(p => presetEditor.addPreset(p));
  });

// Save handler
function savePresetJson(url, json, saveNo, callback) {
  fetch(url, {
    method: "POST",
    headers: {
      "Content-Type": "application/json;charset=UTF-8"
    },
    body: JSON.stringify(json)
  })
    .then(response => callback(saveNo, response.ok))
    .catch(() => callback(saveNo, false));
}

presetEditor.savePresetFunc = (saveNo, callback) => {
  savePresetJson(
    "https://your-web-service.com/",
    presetEditor.preset,
    saveNo,
    callback
  );
};
```

In this demo, presets are stored in `localStorage`, but the same approach applies to any backend.

## See Also

[UI Preset Editor Documentation](/survey-creator/documentation/ui-preset-editor (linkStyle))

## Files

### `public/index.html`

```html
<!-- Uncomment the following lines to enable Ace Editor in the JSON Editor tab -->
<!-- 
<script src="https://unpkg.com/ace-builds/src-min-noconflict/ace.js"></script>
<script src="https://unpkg.com/ace-builds/src-min-noconflict/ext-searchbox.js"></script>
<script src="https://unpkg.com/ace-builds/src-min-noconflict/theme-clouds_midnight.js"></script>
-->

<div id="surveyCreatorContainer" style="position: absolute; height: 100%; width: 100%"></div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { SurveyCreator } from "survey-creator-js";
import "survey-core/survey.i18n";
import "survey-creator-core/survey-creator-core.i18n";
import SurveyCreatorUIPreset from "survey-creator-core/ui-presets";
import { registerUIPreset } from "survey-creator-core";
import { UIPresetEditor } from "survey-creator-core/ui-preset-editor";
import "survey-core/survey-core.css";
import "survey-creator-core/survey-creator-core.css";
import "./index.css";
import SurveyTheme from "survey-core/themes";
import { registerCreatorTheme } from "survey-creator-core";

registerCreatorTheme(SurveyTheme); // Add predefined Survey Creator UI themes

registerUIPreset(SurveyCreatorUIPreset); // Add predefined Survey Creator UI presets

const localStorageKey = "survey-creator-presets";
const creator = new SurveyCreator();

const presetEditor = new UIPresetEditor(creator);

// Load existing presets
const savedPresets = JSON.parse(localStorage.getItem(localStorageKey)) || [];
savedPresets.forEach(p => presetEditor.addPreset(p));

// Save preset to the `localStorage`
presetEditor.savePresetFunc = (saveNo, callback) => {
  const newPreset = presetEditor.preset;
  const presets = JSON.parse(localStorage.getItem(localStorageKey)) || [];
  const index = presets.findIndex(p => p.name === newPreset.name);
  if (index > -1) {
    presets[index] = newPreset;
  } else {
    presets.push(newPreset);
  }
  localStorage.setItem(localStorageKey, JSON.stringify(presets));
  callback(saveNo, true);
};

creator.showSidebar = false;
setTimeout(() => {
  creator.openCreatorThemeSettings();
}, 400);
creator.render("surveyCreatorContainer");
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-creator-core": "latest",
    "survey-creator-js": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/survey-creator/examples/ui-preset-editor/angular.md)
- [React](https://surveyjs.io/survey-creator/examples/ui-preset-editor/reactjs.md)
- [Vue 3](https://surveyjs.io/survey-creator/examples/ui-preset-editor/vue3js.md)
- [jQuery](https://surveyjs.io/survey-creator/examples/ui-preset-editor/jquery.md)


---
title: UI Preset Editor
product: Survey Creator
description: The UI Preset Editor for Survey Creator lets you customize the UI and functionality of the form builder through a no-code interface. Enable it to use predefined presets or create your own.
framework: Angular
source: https://surveyjs.io/survey-creator/examples/ui-preset-editor/angular
index: https://surveyjs.io/survey-creator/examples/overview.md
---

# UI Preset Editor (Angular)

The UI Preset Editor is a configuration tool that allows you to customize the Survey Creator interface and package those changes as reusable UI presets. This example demonstrates how to enable the UI Preset Editor, register predefined presets, and create, apply, save, and load custom presets.

## Enable the UI Preset Editor

To enable the UI Preset Editor, import its module or reference its script:

```js
// Modular applications
import { UIPresetEditor } from "survey-creator-core/ui-preset-editor";
```

```html
<!-- Classic script applications -->
<head>
  <script src="https://unpkg.com/survey-creator-core/ui-preset-editor.min.js"></script>
</head>
```

To attach the editor to Survey Creator, instantiate [`UIPresetEditor`](/survey-creator/documentation/api-reference/uipreseteditor) and pass a [`SurveyCreatorModel`](/survey-creator/documentation/api-reference/survey-creator) to its constructor:

```js
// ...
// Omitted: `SurveyCreatorModel` initialization
// ...
new UIPresetEditor(creator);
```

## Register Predefined Presets

SurveyJS includes three predefined UI presets:

- [Basic](/survey-creator/examples/basic-ui-preset/)         
A streamlined preset for simple surveys and forms. Includes only the most commonly used question types and a simplified Property Grid. Perfect if you want a clean, easy-to-use interface with minimal configuration.

- [Advanced](/survey-creator/examples/advanced-ui-preset/)      
A balanced preset for most use cases. Includes additional question types and features, along with a moderately detailed Property Grid. Suitable if you need flexibility without overwhelming complexity.

- [Expert](/survey-creator/examples/expert-ui-preset/)          
A full-featured preset with access to all available question types, settings, and Property Grid options. It provides maximum control at the cost of a more complex UI.

Register these presets to use them as a starting point for customization:

```js
// Modular applications
import SurveyCreatorUIPreset from "survey-creator-core/ui-presets";
import { registerUIPreset } from "survey-creator-core";

registerUIPreset(SurveyCreatorUIPreset);
```

```html
<!-- Classic script applications -->
<script src="https://unpkg.com/survey-creator-core/ui-presets/index.min.js"></script>
<script>
  SurveyCreatorCore.registerUIPreset(SurveyCreatorUIPreset);
</script>
```

Once the predefined presets are registered, you are set to create your custom presets based on them.

## Create a Custom Preset

A UI preset consists of configuration across five categories:

- Languages     
Define the Survey Creator UI language and supported survey languages.

- Tabs    
Control which tabs are visible (Designer, Preview, Logic, Themes, Translations, JSON Editor) as well as their order, titles, icons, and the default active tab.

- Toolbox       
Show, hide, rename, reorder, and group toolbox items.

- Property Grid     
Customize property visibility, order, grouping, and display names.

- Options     
Adjust additional settings that affect overall behavior and appearance.

Configure settings in these categories and save them as a preset. You can export a preset as JSON and include it in your application or allow end users to [create and manage presets dynamically](#save-and-load-custom-presets).

## Apply a Custom Preset

To apply a preset, create a [`UIPreset`](/survey-creator/documentation/api-reference/uipreset) instance with a JSON configuration and call [`applyTo()`](/survey-creator/documentation/api-reference/uipreset#applyTo):

```js
// Modular applications
import { UIPreset } from "survey-creator-core";

// ...
// Omitted: `SurveyCreatorModel` initialization
// ...
const presetJson = { /* Preset configuration */};

const preset = new UIPreset(presetJson);
preset.applyTo(creator);
```

```html
<!-- Classic script applications -->
<script>
  // ...
  // Omitted: `SurveyCreatorModel` initialization
  // ...
  const presetJson = { /* Preset configuration */};

  const preset = new SurveyCreatorCore.UIPreset(presetJson);
  preset.applyTo(creator);
</script>
```

> The UI Preset Editor is not required to apply presets. It is only needed if you want to create or edit them visually.

## Save and Load Custom Presets

Preset configurations are plain JSON objects and can be persisted in storage (for example, a database or browser storage).

To enable saving, implement the [`savePresetFunc`](/survey-creator/documentation/api-reference/uipreseteditor#savePresetFunc) function, which accepts two arguments:

- `saveNo`      
An incremental change identifier. Use it to prevent out-of-order updates in asynchronous environments.

- `callback`        
Invoke this function after saving. Pass `saveNo` as the first argument. Pass `true` as the second argument if the operation succeeds; otherwise, pass `false`.

### Example: Save to `localStorage`

```js
import { UIPresetEditor } from "survey-creator-core/ui-preset-editor";
// ...
// Omitted: `SurveyCreatorModel` initialization
// ...

const presetEditor = new UIPresetEditor(creator);
const localStorageKey = "survey-creator-presets";

// Load existing presets
const savedPresets = JSON.parse(localStorage.getItem(localStorageKey)) || [];
savedPresets.forEach(p => presetEditor.addPreset(p));

// Save handler
presetEditor.savePresetFunc = (saveNo, callback) => {
  const newPreset = presetEditor.preset;
  const presets = JSON.parse(localStorage.getItem(localStorageKey)) || [];

  const index = presets.findIndex(p => p.name === newPreset.name);
  if (index > -1) {
    presets[index] = newPreset;
  } else {
    presets.push(newPreset);
  }
  localStorage.setItem(localStorageKey, JSON.stringify(presets));
  callback(saveNo, true);
};
```

### Example: Save to a Web Service

```js
import { UIPresetEditor } from "survey-creator-core/ui-preset-editor";
// ...
// Omitted: `SurveyCreatorModel` initialization
// ...

const presetEditor = new UIPresetEditor(creator);

// Load existing presets
async function loadPresets(url) {
  try {
    const response = await fetch(url);
    const data = await response.json();
    return data;
  } catch {
    console.log("Could not load presets");
    return [];
  }
}

loadPresets("https://your-web-service.com/")
  .then(presets => {
    presets.forEach(p => presetEditor.addPreset(p));
  });

// Save handler
function savePresetJson(url, json, saveNo, callback) {
  fetch(url, {
    method: "POST",
    headers: {
      "Content-Type": "application/json;charset=UTF-8"
    },
    body: JSON.stringify(json)
  })
    .then(response => callback(saveNo, response.ok))
    .catch(() => callback(saveNo, false));
}

presetEditor.savePresetFunc = (saveNo, callback) => {
  savePresetJson(
    "https://your-web-service.com/",
    presetEditor.preset,
    saveNo,
    callback
  );
};
```

In this demo, presets are stored in `localStorage`, but the same approach applies to any backend.

## See Also

[UI Preset Editor Documentation](/survey-creator/documentation/ui-preset-editor (linkStyle))

## Files

### `src/app/components/creator.component.css`

```css
/* You can define custom CSS rules here */
```

### `src/app/components/creator.component.html`

```html
<div style="position: fixed; top: 0; bottom: 0; right: 0; left: 0;">
    <survey-creator [model]="model"></survey-creator>
</div>
```

### `src/app/components/creator.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { SurveyCreatorModel } from "survey-creator-core";
import "survey-core/survey.i18n";
import "survey-creator-core/survey-creator-core.i18n";
import SurveyCreatorUIPreset from "survey-creator-core/ui-presets";
import { registerUIPreset } from "survey-creator-core";
import { UIPresetEditor } from "survey-creator-core/ui-preset-editor";
import "survey-core/survey-core.css";
import "survey-creator-core/survey-creator-core.css";

import SurveyTheme from "survey-core/themes";
import { registerCreatorTheme } from "survey-creator-core";

registerCreatorTheme(SurveyTheme); // Add predefined Survey Creator UI themes

registerUIPreset(SurveyCreatorUIPreset); // Add predefined Survey Creator UI presets

const localStorageKey = "survey-creator-presets";
@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey-creator",
    templateUrl: "./creator.component.html",
    styleUrls: ["./creator.component.css"]
})
export class SurveyCreatorComponent implements OnInit {
    model: SurveyCreatorModel;
    ngOnInit() {
        const creator = new SurveyCreatorModel();
        const presetEditor = new UIPresetEditor(creator);
        
        // Load existing presets
        const savedPresets = JSON.parse(localStorage.getItem(localStorageKey)) || [];
        savedPresets.forEach(p => presetEditor.addPreset(p));
        
        // Save preset to the `localStorage`
        presetEditor.savePresetFunc = (saveNo, callback) => {
          const newPreset = presetEditor.preset;
          const presets = JSON.parse(localStorage.getItem(localStorageKey)) || [];
          const index = presets.findIndex(p => p.name === newPreset.name);
          if (index > -1) {
            presets[index] = newPreset;
          } else {
            presets.push(newPreset);
          }
          localStorage.setItem(localStorageKey, JSON.stringify(presets));
          callback(saveNo, true);
        };
        
        creator.showSidebar = false;
        setTimeout(() => {
          creator.openCreatorThemeSettings();
        }, 400);
        this.model = creator;
    }
}
```

### `src/app/app.component.html`

```html
<component-survey-creator></component-survey-creator>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html"
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { SurveyCreatorModule } from "survey-creator-angular";
import { SurveyCreatorComponent } from "./components/creator.component";

@NgModule({
    declarations: [AppComponent, SurveyCreatorComponent],
    imports: [BrowserModule, SurveyCreatorModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<app-root></app-root>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css
/* You can add global styles to this file and import other style files */
```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css"  ],
      "scripts": [  ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-angular-ui": "latest",
    "survey-creator-core": "latest",
    "survey-core": "latest",
    "survey-creator-angular": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~13.0.0",
    "@angular/cli": "~13.0.0",
    "@types/jasmine": "3.6.3",
    "@types/jasminewd2": "2.0.8",
    "@types/node": "14.14.28",
    "codelyzer": "6.0.1",
    "jasmine-core": "3.6.0",
    "jasmine-spec-reporter": "6.0.0",
    "karma": "6.1.1",
    "karma-chrome-launcher": "3.1.0",
    "karma-coverage-istanbul-reporter": "3.0.3",
    "karma-jasmine": "4.0.1",
    "karma-jasmine-html-reporter": "1.5.4",
    "protractor": "7.0.0",
    "ts-node": "9.1.1",
    "tslint": "~6.1.3",
    "typescript": "4.1.5"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/survey-creator/examples/ui-preset-editor/reactjs.md)
- [Vue 3](https://surveyjs.io/survey-creator/examples/ui-preset-editor/vue3js.md)
- [jQuery](https://surveyjs.io/survey-creator/examples/ui-preset-editor/jquery.md)
- [Vanilla JS](https://surveyjs.io/survey-creator/examples/ui-preset-editor/vanillajs.md)
